package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 注册配置项
 * @Author: jiang chao
 * @Time: 2022/10/18 16:43
 * @Classname: ERegisterPage
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum ERegisterPage {

    MAILBOX("MAILBOX", "邮箱"),

    CREDENTIALS("CREDENTIALS", "证件号码"),

    BANK_NAME("BANK_NAME", "银行名称"),

    BANK_NO("BANK_NO", "银行卡号"),

    ACCOUNT_BRANCH("ACCOUNT_BRANCH", "开户支行"),

//    CONTACT_INFORMATION("CONTACT_INFORMATION", "联系方式"),
//
//    CONTACT_ADDRESS("CONTACT_ADDRESS", "联系地址"),
//
//    DELIVERY("DELIVERY", "发货方式"),
//
//    TRANSPORT("TRANSPORT", "运输方式"),
//
//    SHOP("SHOP", "配送店铺"),

    ;

    /**
     * 实际值（根据前端页面值名称来）
     */
    private final String value;
    /**
     * 显示标签
     */
    private final String label;

    /**
     * 根据枚举值获取枚举
     *
     * @param value
     * @return
     */
    public static ERegisterPage getEnumByValue(String value) {
        for (ERegisterPage enums : ERegisterPage.values()) {
            if (enums.getValue().equals(value)) {
                return enums;
            }
        }
        return null;
    }

}
